View Issue Details

IDProjectCategoryView StatusLast Update
0002744unrealircdpublic2006-01-07 09:02
ReporterXueferAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformgentooOSlinuxOS Versionx86 stable
Product Version3.2.3 
Target VersionFixed in Version3.2.4 
Summary0002744: [patch] Using chinese-* charset will cause crashes
DescriptionIndex: charsys.c
===================================================================
RCS file: /home/cmunk/ircsystems/cvsroot/unreal/src/Attic/charsys.c,v
retrieving revision 1.1.4.1
diff -u -r1.1.4.1 charsys.c
--- charsys.c 13 Mar 2005 21:02:52 -0000 1.1.4.1
+++ charsys.c 7 Jan 2006 12:32:34 -0000
@@ -241,7 +241,7 @@
  */
 void charsys_addmultibyterange(char s1, char e1, char s2, char e2)
 {
-MBList *m = MyMallocEx(sizeof(m));
+MBList *m = MyMallocEx(sizeof(m[0]));
 
    m->s1 = s1;
    m->e1 = e1;

such problem can be easily find out with valgrind :)
TagsNo tags attached.
3rd party modules

Activities

syzop

2006-01-07 09:02

administrator   ~0010947

I do use valgrind, actually, but I guess I didn't run it on the chinese nick code ;).

Thanks for both the report & fix, is now fixed in CVS [.407].

Issue History

Date Modified Username Field Change
2006-01-07 08:02 Xuefer New Issue
2006-01-07 09:01 syzop Summary [patch] charsys_addmultibyterange heap overflow => [patch] Using chinese-* charset will cause crashes
2006-01-07 09:02 syzop Status new => resolved
2006-01-07 09:02 syzop Fixed in Version => 3.2.4
2006-01-07 09:02 syzop Resolution open => fixed
2006-01-07 09:02 syzop Assigned To => syzop
2006-01-07 09:02 syzop Note Added: 0010947